define('aim/absence/view/SelectResourceView',[], function() {
	var SelectResourceView = Backbone.View.extend({
		
		el: '#resource-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.get("selectedResource");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var resourceList = this.model.get('resourceList');		
			var resourceIndex = _.indexBy(resourceList, 'userId');
			var self=this;
			_.each(resourceList, function(resourcePlaningResource) {
				var selectData = {};
				selectData.id = resourcePlaningResource.id;
				if(resourcePlaningResource.id == preSelect){
					selectData.selected = "selected";
					self.selection=true;
				}
				selectData.name = resourcePlaningResource.name;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$("#resource-single-select").auiSelect2();
			return this;	
		}
	});
	return SelectResourceView;
});