define('aim/assignment/view/SelectProjectResourceActionView',['aim/assignment/model/ProjectResourceAction'], function(ProjectResourceAction) {
	var SelectProjectResourceActionView = Backbone.View.extend({
		
		el: "#jira",
		events: {
			"click #removeAssignment": "removeAssignment"
		},
		removeAssignment : function(event){
			var projectId = event.currentTarget.dataset.projectid;
			var resourceId = event.currentTarget.dataset.resourceid;
			var baseModel = this.model;
			var projectResourceAction = new ProjectResourceAction(null, 
					{action: event.currentTarget.id, 
					projectId: projectId,
					resourceId: resourceId,
//					year: baseModel.get("year"),
					week: baseModel.get("currentCalendarWeek")
					});
			projectResourceAction.save(null, {success:function(model, res, options) {
				baseModel.fetch();
			}});
		}
	});
	return SelectProjectResourceActionView;
});